pdqn.net
当前位置:首页 >> 如何在my EClipsE中添加jDk1.7? >>

如何在my EClipsE中添加jDk1.7?

在my Eclipse中添加jdk1.7:1. 打开myeclipse,依次点击Window-->preferences,弹出preferences设置对话框.2. 在preferences对话框中找到 Java 选项,点击向下小箭头打开,然后,点其中的Installed JREs .3. 点击preferences对话框里Java选项栏对应的Add按钮,弹出Add JRE对话框.4. 点击Add JRE对话框上面的 Directory ,选择JRE的安装路径.选择完毕后,点击Finish进行下一步.5. 选择新添加进来的jre,把myeclipse自带的jre的勾勾去掉,然后,点击OK,完成设置.

大意是,你项目描述使用的编译级别是jdk1.4,但是你工作空间默认的编译级别是jdk5.0.这个只是一个警告,不是错误,也不会影响你的项目.去除这个警告的方法有2:1、去掉项目j2ee1.4的环境,改用j2ee5.0的环境.2、项目名称上右键,选择java compiler,手工改变compiler compliance level为1.4

如果是 打开 eclipse 改变 安装路径的 eclipse.ini 文件 先备份 再 打开改变 -Dosgi.requiredJavaVersion=1.8Dosgi.requiredJavaVersion=1.7-startupplugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar--launcher.library

Windows--Preferences--Java--Installed JREs,去里面修改即可!但是本人更偏向使用Eclipse,轻量,MyEclipse太重了,很慢,影响开发效率.

在窗口上面的菜单栏一有"window"(窗口)---"Preferences.."(首选项),然后在弹出的对话框中的左边:选"Java"---"Installed JREs"在右侧就可以添加和修改jdk了

不用找的,设置好环境变量重新打开就行了,设置方法可以百度一下,如何设置java环境变量

MyEclipse自己会带一个JDK,他是eclipse加插件的增强版,就不用安装eclipse了 JDK也可以不安装了,但是推荐你安装一个JDK,然后要在MyEclipse里配置一下使用你自己安装的JDK,而不是MyEclipse自带的JDK.

哪个版本都可以,因为jdk是可以指定的步骤如下:eclipse中,窗口首选项--java--已安装的jre添加.jre名称写你的是哪个版本的写哪个版本的,如1.6版本的,你就写jdk1.6.jre主目录,单击浏览选择你的jdk路经.记住,选择主目录就行了.这样添加后在jre系统库中会有显示文件.最后单击确定,就ok了

是不是因为JDK和eclipse不兼容啊,你换成1.6的JDK试试

楼主你好 可以 jdk是向下兼容的 7的新特性不多 和工程的叹号应该关系不大,可以找出具体打叹号的类或其他文件或者语句摘出来看看

网站首页 | 网站地图
All rights reserved Powered by www.pdqn.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com